## faad faad |

## Types and Values

| GstFaad

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstFaad

## Description

faad decodes AAC (MPEG-4 part 3) stream.

### Example launch lines

    1
    gst-launch-1.0 filesrc location=example.mp4 ! qtdemux ! faad ! audioconvert ! audioresample ! autoaudiosink

Play aac from mp4 file.

    1
    gst-launch-1.0 filesrc location=example.adts ! faad ! audioconvert ! audioresample ! autoaudiosink

Play standalone aac bitstream.

## Synopsis

### Element Information

plugin | faad
author | Ronald Bultje <rbultje@ronald.bitfreak.net>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/mpeg, mpegversion=(int)2
| audio/mpeg, mpegversion=(int)4, stream-format=(string){ raw, adts }

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 8000, 96000 ], channels=(int)[ 1, 8 ]

## Functions

## Types and Values

### GstFaad

    typedef struct _GstFaad GstFaad;